Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Class PGPSecretKey

    java.lang.Object
      |
      +--org.bouncycastle.openpgp.PGPSecretKey

public class PGPSecretKey
extends java.lang.Object

general class to handle a PGP secret key object.

Constructor Summary
`PGPSecretKey(int certificationLevel, int algorithm, java.security.PublicKey pubKey, java.security.PrivateKey privKey, java.util.Date time, java.lang.String id, int encAlgorithm, char[] passPhrase, PGPSignatureSubpacketVector hashedPcks, PGPSignatureSubpacketVector unhashedPcks, java.security.SecureRandom rand, java.lang.String provider)`

Method Summary
`void` | `encode(java.io.OutputStream outStream)`
`PGPPrivateKey` | `extractPrivateKey(char[] passPhrase, java.lang.String provider)` Extract a PGPPrivate key from the SecretKey's encrypted contents.
`byte[]` | `getEncoded()`
`long` | `getKeyID()` Return the keyID associated with this key.
`PGPPublicKey` | `getPublicKey()` Return the public key associated with this key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PGPSecretKey

    public PGPSecretKey(int certificationLevel,
                        int algorithm,
                        java.security.PublicKey pubKey,
                        java.security.PrivateKey privKey,
                        java.util.Date time,
                        java.lang.String id,
                        int encAlgorithm,
                        char[] passPhrase,
                        PGPSignatureSubpacketVector hashedPcks,
                        PGPSignatureSubpacketVector unhashedPcks,
                        java.security.SecureRandom rand,
                        java.lang.String provider)
                 throws PGPException,
                        java.security.NoSuchProviderException

Method Detail

### getKeyID

    public long getKeyID()

  Return the keyID associated with this key.

  Returns:
    long

### getPublicKey

    public PGPPublicKey getPublicKey()

  Return the public key associated with this key.

  Returns:
    PGPPublicKey

### extractPrivateKey

    public PGPPrivateKey extractPrivateKey(char[] passPhrase,
                                           java.lang.String provider)
                                    throws PGPException,
                                           java.security.NoSuchProviderException

  Extract a PGPPrivate key from the SecretKey's encrypted contents.

  Parameters:
    `passPhrase` -
    `provider` -
  Returns:
    PGPPrivateKey
  Throws:
    `PGPException`
    `java.security.NoSuchProviderException`

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

    `java.io.IOException`

### encode

    public void encode(java.io.OutputStream outStream)
                throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD